> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flink Jobs

> List all Flink jobs for the current tenant/service.



## OpenAPI

````yaml /openapi/openapi.json get /flink_jobs/
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /flink_jobs/:
    get:
      tags:
        - Flink Jobs
      summary: List Flink Jobs
      description: List all Flink jobs for the current tenant/service.
      operationId: listFlinkJobs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FlinkJobResponse'
                type: array
                title: Response Listflinkjobs
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    FlinkJobResponse:
      properties:
        _id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        job_type:
          $ref: '#/components/schemas/FlinkJobTypeEnum'
        status:
          $ref: '#/components/schemas/FlinkJobStatusEnum'
        flink_job_name:
          type: string
          title: Flink Job Name
        flink_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Flink Job Id
        parallelism:
          type: integer
          title: Parallelism
          default: 1
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created Timestamp
        updated_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated Timestamp
      additionalProperties: true
      type: object
      required:
        - _id
        - name
        - job_type
        - status
        - flink_job_name
      title: FlinkJobResponse
    FlinkJobTypeEnum:
      type: string
      enum:
        - pyflink
        - jar
      title: FlinkJobTypeEnum
    FlinkJobStatusEnum:
      type: string
      enum:
        - CREATED
        - DEPLOYING
        - RUNNING
        - FAILED
        - CANCELLED
        - FINISHED
      title: FlinkJobStatusEnum
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````